Arch Linux包管理 Pacman 有依赖无法卸载
标签搜索

Arch Linux包管理 Pacman 有依赖无法卸载

果氢cdm
2022-03-05 / 0 评论 / 35 阅读 / 正在检测是否收录...

l0e0zspz.png

sudo pacman -R ttf-dejavu wqy-microhei
正在检查依赖关系...
错误:无法准备事务处理 (无法满足依赖关系)
:: 删除 ttf-dejavu 破坏依赖 'ttf-dejavu' (onlyoffice-bin 需要)

你看这onlyoffice-bin依赖一个字体多是见美事啊! 表情

解决办法

sudo pacman -Rsdd linux
忽略依赖卸载
您也可以

pacman -Rc linux                  #删除linux包和依赖linux的包
pacman -Rsc linux                 #删除linux包和linux依赖的包
pacman -Qdtq | pacman -Rs linux   #删除linux包和所有不再需要的依赖项
0

评论 (0)

取消